/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

void PopUp::loadValues(QKeyEvent *e, QString rpm, QString load) {
    
    rpmLabel->setText(rpm);
    loadLabel->setText(load);    
    
    /* this should let the user keep typing... but it keeps the text selected instead */
    lineEdit->setText(e->text());
    lineEdit->setFocus();
    lineEdit->end(false); 
    
}

/* this doesn't work... probably have to subclass properly */
void PopUp::keyPressEvent (QKeyEvent *e) {
	switch (e->key()) {
    	// see if we got enter...
	case Qt::Key_Enter:
	    this->accept();
	    break;
	 // if not, do the regular QDialog stuff
	default:
	    QDialog::keyPressEvent(e);
	    break;
	}
}

const QString PopUp::getText() {
    return lineEdit->text();
}
