#ifndef COMMSCONTROLLER_H
#define COMMSCONTROLLER_H

#include <qthread.h>
#include <qextserialport.h>
#include "genboard.h"

class CommsController : public QThread {
  
public:
    CommsController(Genboard *myGenboard);
    ~CommsController();
    void run();
    void loadRealtimeVars();
    void waitForData();
    
protected:
    QextSerialPort *mySerialPort;
    Genboard *myGenboard;
};

#endif
